com.thinkaurelius.titan.graphdb.idmanagement

## Enum IDManager.VertexIDType

- java.lang.Object
- - java.lang.Enum<IDManager.VertexIDType>
  - - com.thinkaurelius.titan.graphdb.idmanagement.IDManager.VertexIDType

- All Implemented Interfaces:
    Serializable, Comparable<IDManager.VertexIDType>
  Enclosing class:
    IDManager

      public static enum IDManager.VertexIDType
      extends Enum<IDManager.VertexIDType>

  bit mask- Description (+ indicates defined type, * indicates proper & defined type) 0 - + User created Vertex 000 - * Normal vertices 010 - * Partitioned vertices 100 - * Unmodifiable (e.g. TTL'ed) vertices 110 - + Reserved for additional vertex type 1 - + Hidden 11 - * Hidden (user created/triggered) Vertex [for later] 01 - + Schema related vertices 101 - + Schema Type vertices 0101 - + Relation Type vertices 00101 - + Property Key 000101 - * User Property Key 100101 - * System Property Key 10101 - + Edge Label 010101 - * User Edge Label 110101 - * System Edge Label 1101 - Other Type vertices 01101 - + Vertex Label 001 - Non-Type vertices 1001 - * Generic Schema Vertex 0001 - Reserved for future

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EdgeLabel`
    `GenericSchemaType`
    `Hidden`
    `HiddenVertex`
    `NormalVertex`
    `PartitionedVertex`
    `PropertyKey`
    `RelationType`
    `Schema`
    `SchemaType`
    `SystemEdgeLabel`
    `SystemPropertyKey`
    `UnmodifiableVertex`
    `UserEdgeLabel`
    `UserPropertyKey`
    `UserVertex`
    `VertexLabel`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `addPadding(long count)`
    `boolean` | `is(long id)`
    `boolean` | `isSubType(IDManager.VertexIDType type)`
    `long` | `removePadding(long id)`
    `static IDManager.VertexIDType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IDManager.VertexIDType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UserVertex

          public static final IDManager.VertexIDType UserVertex

    - #### NormalVertex

          public static final IDManager.VertexIDType NormalVertex

    - #### PartitionedVertex

          public static final IDManager.VertexIDType PartitionedVertex

    - #### UnmodifiableVertex

          public static final IDManager.VertexIDType UnmodifiableVertex

    - #### Hidden

          public static final IDManager.VertexIDType Hidden

    - #### HiddenVertex

          public static final IDManager.VertexIDType HiddenVertex

    - #### Schema

          public static final IDManager.VertexIDType Schema

    - #### SchemaType

          public static final IDManager.VertexIDType SchemaType

    - #### RelationType

          public static final IDManager.VertexIDType RelationType

    - #### PropertyKey

          public static final IDManager.VertexIDType PropertyKey

    - #### UserPropertyKey

          public static final IDManager.VertexIDType UserPropertyKey

    - #### SystemPropertyKey

          public static final IDManager.VertexIDType SystemPropertyKey

    - #### EdgeLabel

          public static final IDManager.VertexIDType EdgeLabel

    - #### UserEdgeLabel

          public static final IDManager.VertexIDType UserEdgeLabel

    - #### SystemEdgeLabel

          public static final IDManager.VertexIDType SystemEdgeLabel

    - #### VertexLabel

          public static final IDManager.VertexIDType VertexLabel

    - #### GenericSchemaType

          public static final IDManager.VertexIDType GenericSchemaType

  - ### Method Detail

    - #### values

          public static IDManager.VertexIDType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IDManager.VertexIDType c : IDManager.VertexIDType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IDManager.VertexIDType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### addPadding

          public final long addPadding(long count)

    - #### removePadding

          public final long removePadding(long id)

    - #### is

          public final boolean is(long id)

    - #### isSubType

          public final boolean isSubType(IDManager.VertexIDType type)

Copyright © 2012–2014. All rights reserved.